Module | Haml::Helpers::ActionViewExtensions
In: | lib/haml/helpers/action_view_extensions.rb

This module contains various useful helper methods that either tie into ActionView or the rest of the ActionPack stack, or are only useful in that context. Thus, the methods defined here are only available if ActionView is installed.

### Methods

generate_content_class_names page_class with_raw_haml_concat

### Public Instance methods

generate_content_class_names()

Alias for page_class

page_class()

Returns a value for the "class" attribute unique to this controller/action pair. This can be used to target styles specifically at this action or controller. For example, if the current action were `EntryController#show`,

        %div{:class => page_class} My Div

would become

        <div class="entry show">My Div</div>

Then, in a stylesheet (shown here as {Sass}), you could refer to this specific action:

        .entry.show
          font-weight: bold

or to all actions in the entry controller:

        .entry
          color: #00f

@return [String] The class name for the current page

[Source]

        # File lib/haml/helpers/action_view_extensions.rb, line 34
    34:       def page_class
    35:         controller.controller_name + " " + controller.action_name
    36:       end

with_raw_haml_concat() {|| ...}

Treats all input to \{Haml::Helpers#haml_concat} within the block as being HTML safe for Rails’ XSS protection. This is useful for wrapping blocks of code that concatenate HTML en masse.

This has no effect if Rails’ XSS protection isn‘t enabled.

@yield A block in which all input to `haml_concat` is treated as raw. @see Haml::Util#rails_xss_safe?

[Source]

        # File lib/haml/helpers/action_view_extensions.rb, line 47
    47:       def with_raw_haml_concat
    48:         @_haml_concat_raw, old = true, @_haml_concat_raw
    49:         yield
    50:       ensure
    51:         @_haml_concat_raw = old
    52:       end

[Validate]